# Get Project Inventory Returns a list of inventory and inventory details for a given project; includes a flag for a short/long version. All project users including Observer, Reviewer and Analyst can view project inventory of private projects. Endpoint: GET /project/inventory/{projectId} Version: v1 Security: bearerAuth ## Path parameters: - `projectId` (integer, required) ID of the Project Example: 1 ## Query parameters: - `skipVulnerabilities` (boolean) If true , hide vulnerability details in the response - `published` (boolean) If true, then only published inventory items are returned; if false, then only not-published inventory items are returned;; if all, then all inventory items are returned - `vendor` (string) CPE Vendor name (Example: gnu) - `product` (string) CPE Product name (Example: zlib) - `size` (integer) Page Size. Number Of Records to fetch per page - `page` (integer) Page Number. Index of the page to start with(starts from 1) - `reviewStatus` (string) return items based on the reviewStatus which we selected. Ex: if reviewStatus is APPROVED then only APPROVED items returned Enum: "READY_TO_REVIEW", "DRAFT", "APPROVED", "REJECTED" - `alerts` (string) return items based the alert status selected. If alert status selected as OPEN then only open alerts returned Enum: "OPEN", "CLOSED", "ANY" - `includeFiles` (boolean) If true, display the associated files to an Inventory(Default is true) - `includeCopyrights` (boolean) If true, display the copyrights of an Inventory(Default is false) ## Response 200 fields (application/json): - `name` (string) Inventory group name Example: "git" - `priority` (object) - `priority.id` (integer) - `priority.type` (string) Enum: "INVENTORY_STATUS", "INVENTORY_PRIORITY" - `priority.name` (string) - `priority.description` (string) - `priority.isDefault` (boolean) - `id` (integer) Inventory group id Example: 1 - `owner` (string) Owner Example: "antlr" - `published` (boolean) is published Example: true - `partOfProduct` (string) part of product Enum: "No", "Yes", "Unknown" - `linking` (string) link type Enum: "Unknown", "Not Linked", "Statically Linked", "Dynamically Linked" - `inventoryType` (string) Enum: "Work in Progress", "Component", "Material from Website", "Material from Publication", "License Only" - `modified` (string) modified Enum: "No", "Yes", "Unknown" - `encrypted` (string) encryption Enum: "No", "Yes", "Unknown" - `usageText` (string) get usage text Example: "usage" - `distributed` (string) distribution type Enum: "Unknown", "Internal", "External", "Hosted-Any", "Hosted for Internal Use", "Hosted for External Use" - `repositoryItem` (object) - `repositoryItem.item` (object) - `repositoryItem.item.displayName` (string) - `repositoryItem.createdBy` (string) - `repositoryItem.createDate` (string) - `repositoryItem.updateDate` (string) - `repositoryItem.license` (object) License Example: 1 - `repositoryItem.license.shortName` (string) - `repositoryItem.license.text` (string) - `repositoryItem.license.url` (string) - `repositoryItem.license.category` (string) Enum: "Category 1", "Category 2", "Category 3", "Category 4", "Category 5" - `repositoryItem.license.notes` (string) - `repositoryItem.license.iconUrl` (string) - `repositoryItem.license.flagMask` (integer) - `repositoryItem.license.modified` (boolean) - `repositoryItem.license.custom` (boolean) - `repositoryItem.license.externalId` (string) - `repositoryItem.license.family` (boolean) - `repositoryItem.license.parentId` (integer) - `repositoryItem.license.addToPalamidaCL` (boolean) - `repositoryItem.license.author` (string) - `repositoryItem.license.dfsgCompatible` (boolean) - `repositoryItem.license.familyName` (string) - `repositoryItem.license.deprecated` (boolean) - `repositoryItem.license.noticeAttributionStatements` (string) - `repositoryItem.license.noticeCopyrightStatements` (string) - `repositoryItem.license.osiLicenseCategory` (string) - `repositoryItem.license.osiLicenseName` (string) - `repositoryItem.license.patentLicenseGrant` (boolean) - `repositoryItem.license.publishedDate` (string) - `repositoryItem.license.publisher` (string) - `repositoryItem.license.spdxLicenseIdentifier` (string) - `repositoryItem.license.spdxLicenseName` (string) - `repositoryItem.license.userUpdated` (boolean) - `repositoryItem.license.version` (string) - `repositoryItem.license.createdOn` (string) - `repositoryItem.license.updatedBy` (string) - `repositoryItem.license.updatedOn` (string) - `repositoryItem.license.components` (array) - `repositoryItem.license.componentVersions` (array) - `repositoryItem.license.obligations` (array) - `repositoryItem.license.obligations.instruction` (string) - `repositoryItem.license.obligations.required` (boolean) - `repositoryItem.license.obligations.organization` (object) - `repositoryItem.license.obligations.triggerAction` (object) - `repositoryItem.license.obligations.licenseTextSection` (string) - `repositoryItem.license.obligations.licenseTextFragment` (string) - `repositoryItem.license.obligationDetails` (object) - `repositoryItem.license.obligationDetails.canDo` (string) - `repositoryItem.license.obligationDetails.mustDo` (string) - `repositoryItem.license.obligationDetails.cannotDo` (string) - `repositoryItem.license.default` (boolean) - `repositoryItem.license.abbrevName` (string) - `repositoryItem.license.screenName` (string) - `repositoryItem.license.copyleft` (boolean) - `repositoryItem.license.gplv3Compatible` (boolean) - `repositoryItem.license.osiapproved` (boolean) - `repositoryItem.license.gplv2Compatible` (boolean) - `repositoryItem.license.screenText` (string) - `repositoryItem.license.commercial` (boolean) - `repositoryItem.license.spdxNameOrName` (string) - `repositoryItem.license.spdxIdentifierOrName` (string) - `repositoryItem.license.freeSoftwareLicense` (boolean) - `repositoryItem.title` (string) - `repositoryItem.inUse` (boolean) - `repositoryItem.componentVersion` (object) - `repositoryItem.componentVersion.versionLicenses` (array) Example: [1] - `repositoryItem.componentVersion.vulnerabilities` (array) - `repositoryItem.componentVersion.vulnerabilities.children` (array) - `repositoryItem.componentVersion.vulnerabilities.severity` (string) - `repositoryItem.componentVersion.vulnerabilities.source` (string) - `repositoryItem.componentVersion.vulnerabilities.cvssv3Vector` (string) - `repositoryItem.componentVersion.vulnerabilities.epssPercentile` (number) - `repositoryItem.componentVersion.vulnerabilities.cvssv3Severity` (string) - `repositoryItem.componentVersion.vulnerabilities.cvssv2Vector` (string) - `repositoryItem.componentVersion.vulnerabilities.epssScore` (number) - `repositoryItem.componentVersion.vulnerabilities.cvssv2Severity` (string) - `repositoryItem.componentVersion.vulnerabilities.cvssv3Score` (number) - `repositoryItem.componentVersion.vulnerabilities.cvssv2Score` (number) - `repositoryItem.componentVersion.vulnerabilities.lastRevisedDate` (string) - `repositoryItem.componentVersion.vulnerabilities.score` (number) - `repositoryItem.componentVersion.vulnerabilities.shallowCopy` (object) - `repositoryItem.componentVersion.vulnerabilities.kev` (boolean) - `repositoryItem.componentVersion.vulnerabilities.registry` (object) - `repositoryItem.componentVersion.vulnerabilities.severityAsInteger` (integer) - `repositoryItem.componentVersion.vulnerabilities.vulnerabilityReferences` (array) - `repositoryItem.componentVersion.vulnerabilities.originalReleaseDate` (string) - `repositoryItem.componentVersion.vulnerabilities.vulnerabilityCWE` (array) - `repositoryItem.componentVersion.purl` (string) - `repositoryItem.componentVersion.versionName` (string) - `repositoryItem.componentVersion.sortedLicenses` (array) Example: [1] - `repositoryItem.componentVersion.customVulnerabilities` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component` (object) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.sourceRepoUrl` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.encryption` (boolean) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.lastUpdateDate` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.popularity` (integer) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.registeredDate` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentForge` (object) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentForge.data` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.releaseDate` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.flavors` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.flavors.flavor` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.libVulnerabilities` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.libVulnerabilities.libComponentVersions` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.libAddVulnerabilities` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.versionLabels` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.displayVersionName` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.libVersions.licenses` (array) Example: [1] - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.customVersions` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentCPEs` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentCPEs.cpeKey` (object) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentCPEs.cpeKey.cpeName` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentCPEs.cpeVendor` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentCPEs.cpeProduct` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.componentCPEs.deleted` (boolean) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.componentId` (integer) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.componentName` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.vulnerabilityId` (integer) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.vulnerabilityName` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.versionScope` (string) Enum: "SPECIFIC_VERSIONS", "ALL_CURRENT_VERSIONS" - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.versionId` (integer) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.reason` (string) Enum: "FALSE_POSITIVE", "REMEDIATED", "OTHER" - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.remarks` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.status` (string) Enum: "Suppress", "UnSuppress" - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.suppressEntity` (object) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.createdDate` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.updatedDate` (string) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.suppressedVulnerabilities.suppressedVersions.suppressionScope` (integer) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.sortedVersions` (array) - `repositoryItem.componentVersion.customVulnerabilities.customComponentVersions.component.versions` (array) - `noticeText` (string) Notices text Example: "Notice text" - `disclosed` (boolean) is Disclosed Example: true - `confidence` (string) Confidence Enum: "HIGHEST", "HIGH", "MEDIUM", "LOW" - `priorityId` (integer) - `copyrightText` (string) - `projectId` (integer) Project Id Example: 1 - `provenanceId` (integer) - `createDate` (string) Create on - `updateDate` (string) updatedOn - `links` (array) - `links.linkType` (string) Enum: "BUNDLED", "DEPENDENCY", "POSSIBLY_RELATED" - `links.parent` (object) - `links.parent.description` (string) Description Example: "Description" - `links.parent.systemGenerated` (boolean) System generated Example: true - `links.parent.publishedDate` (string) publishedOn - `links.parent.autoStatus` (string) Enum: "DRAFT", "PUBLISHED", "NEEDS_REVIEW" - `links.parent.auditorReviewNotes` (string) audit notes Example: "good to go" - `links.parent.remediationNotes` (string) Remediation notes Example: "update this immediately" - `links.parent.autoDetectionNotes` (string) detection notes Example: "Note" - `links.parent.url` (string) Url Example: "http://www.antlr.org" - `links.parent.asFoundLicenseText` (string) As found license text Example: "Sample from file LICENSE.txt in file ePortal-2.0" - `links.parent.statusPolicyId` (integer) - `links.parent.fileCount` (integer) File count Example: 2000 - `links.parent.parentGroupId` (integer) - `links.parent.rejectedByUpdate` (boolean) - `links.parent.workflowURL` (string) - `links.parent.flexFields` (array) - `links.parent.flexFields.inventoryId` (integer) - `links.parent.flexFields.flexField1` (string) - `links.parent.flexFields.flexField2` (string) - `links.parent.flexFields.flexField3` (string) - `links.parent.flexFields.flexField4` (string) - `links.parent.flexFields.flexField5` (string) - `links.parent.dependencyScope` (string) - `links.parent.userUpdatedStatus` (string) - `links.parent.cvvMD5` (string) - `links.parent.licenseDetectionMethod` (string) - `links.parent.associatedComponentVersion` (object) - `links.parent.associatedComponent` (object) - `links.parent.associatedLicense` (object) License Example: 1 - `links.parent.closedVulnerabilityAlerts` (array) - `links.parent.closedVulnerabilityAlerts.inventory` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.login` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.password` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.firstName` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.middleName` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.lastName` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.email` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.jobTitle` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.telephone` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.fax` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.location` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.businessUnit` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.question` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.answer` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userStatus` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userStatus.code` (integer) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.state` (string) Enum: "UNUSED", "ACTIVE", "INACTIVE" - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.passwords` (array) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.passwords.user` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.permissions` (array) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.permissions.scope` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.lockedPermissions` (array) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userLists` (array) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userLists.ldapPopulated` (boolean) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userLists.users` (array) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userLists.allUsers` (array) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.userRole` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.ldapAuthenicated` (boolean) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.lastUpdatedDate` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.owner.displayNameWithLogin` (string) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.vulnerability` (object) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.updateId` (integer) - `links.parent.closedVulnerabilityAlerts.vulnerabilityAlert.inventoryAlerts` (array) - `links.parent.closedVulnerabilityAlerts.closed` (boolean) - `links.parent.closedVulnerabilityAlerts.closedBy` (object) - `links.parent.closedVulnerabilityAlerts.closedDate` (string) - `links.parent.closedVulnerabilityAlerts.suppressClosed` (boolean) - `links.parent.closedVulnerabilityAlerts.unsuppressCreated` (boolean) - `links.parent.vulnerabilityAlerts` (array) - `links.parent.openVulnerabilityAlerts` (array) - `links.child` (object) ## Response 400 fields